#SHORTCUTS FOR CUSTOMIZATION
#
    #1. CONDITIONAL
    #   execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:1, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {    
    #3. BEGIN NEW TRADE
    #   run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[
    #2. ADD NEW TRADE
    #   ,{buy:{id:gold_nugget,Count:1},sell:{id:carrot,Count:4},maxUses:5}]}}
    #3. For easier recognition, biome specific items are tagged with X
#
#CODE
    #   REMOVING VANILLA TRADES
    execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker"}},tag=!smithed.strict] run data remove entity @s Offers.Recipes
    #TRADE SETUP
        #   GENERAL
            #   NOVICES
                #if leatherworker is novice, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:1}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5}]}}
        #   JUNGLE
            #   APPRENTICES
                #if leatherworker from jungle is apprentice, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 yellow dye -> 4 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget            X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:2, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_boots,Count:1},maxUses:5},{buy:{id:yellow_dye,Count:4},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   JOURNEYMEN
                #if leatherworker from jungle is journeyman, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 yellow dye -> 4 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget            X
                # 1 blue dye -> 4 gold nugget             X        
                # 1 light blue dye -> 4 gold nugget       X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:3, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_boots,Count:1},maxUses:5},{buy:{id:yellow_dye,Count:4},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5}]}}
                #   EXPERTS
                #if leatherworker from jungle is expert, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 yellow dye -> 4 gold nugget                 X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget                  X
                # 1 blue dye -> 4 gold nugget                   X        
                # 1 light blue dye -> 4 gold nugget             X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 green leather tunic       X       -- ,tag:{display:{color:6192150}
                # 12 gold nugget -> 1 green leather legging     X
                # 8 gold nugget -> 1 yellow leather helmet      X       -- ,tag:{display:{color:16701501}}
                # 14 gold nugget -> 1 yellow leather tunic      X
                # 1 red dye -> 4 gold nugget                    X
                # 1 brown dye -> 6 gold nugget                  X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:4, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_boots,Count:1},maxUses:5},{buy:{id:yellow_dye,Count:4},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1,tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_leggings,Count:1,tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1,tag:{display:{color:16701501}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1,tag:{display:{color:16701501}}},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5}]}}
                #   MASTERS
                #if leatherworker from jungle is master, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 yellow dye -> 4 gold nugget                 X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget                  X
                # 1 blue dye -> 4 gold nugget                   X        
                # 1 light blue dye -> 4 gold nugget             X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 green leather tunic       X       -- ,tag:{display:{color:6192150}
                # 12 gold nugget -> 1 green leather legging     X
                # 8 gold nugget -> 1 yellow leather helmet      X       -- ,tag:{display:{color:16701501}}
                # 14 gold nugget -> 1 yellow leather tunic      X
                # 1 red dye -> 4 gold nugget                    X
                # 1 brown dye -> 6 gold nugget                  X
                # 8 rotten flesh + 2 gold nugget -> 4 leather
                # 8 gold nugget -> 1 brown boots                X       -- ,tag:{display:{color:10844781}}
                # 8 gold nugget -> 1 brown helmet               X
                # 12 gold nugget -> 1 brown legging             X
                # 4 gold nugget -> 1 seed pouch
                # 1 rabit hide -> 6 gold nugget
                # 1 rabit foot -> 12 gold nugget
                # 1 leather horse armor -> 18 gold nugget       
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:5, type:"minecraft:jungle"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_boots,Count:1},maxUses:5},{buy:{id:yellow_dye,Count:4},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1,tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_leggings,Count:1,tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1,tag:{display:{color:16701501}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1,tag:{display:{color:16701501}}},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:rotten_flesh,Count:8},buyB:{id:gold_nugget, Count:2},sell:{id:leather,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1,tag:{display:{color:10844781}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1,tag:{display:{color:10844781}}},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_leggings,Count:1,tag:{display:{color:10844781}}},maxUses:5},{buy:{id:rabbit_hide,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rabbit_foot,Count:1},sell:{id:gold_nugget,Count:12},maxUses:5},{buy:{id:gold_nugget,Count:18},sell:{id:leather_horse_armor,Count:1},maxUses:5}]}}
        #   DESERT
            #   APPRENTICES
                #if leatherworker is apprentice and from desert, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 yellow dye -> 4 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 red dye -> 6 gold nugget            X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:2, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:yellow_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   JOURNEYMEN
                #if leatherworker is journeyman and from desert, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 yellow dye -> 4 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 red dye -> 6 gold nugget              X
                # 1 blue dye -> 4 gold nugget             X        
                # 1 light blue dye -> 4 gold nugget       X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:3, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:yellow_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5}]}}
            #   EXPERTS
                #if leatherworker is expert and from desert, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 yellow dye -> 4 gold nugget                 X
                # 4 gold nugget -> 2 lead
                # 1 red dye -> 6 gold nugget                    X
                # 1 blue dye -> 4 gold nugget                   X        
                # 1 light blue dye -> 4 gold nugget             X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 green leather tunic       X       -- ,tag:{display:{color:6192150}
                # 12 gold nugget -> 1 green leather legging     X
                # 8 gold nugget -> 1 orange leather helmet      X       -- ,tag:{display:{color:16351261}}
                # 14 gold nugget -> 1 orange leather tunic      X
                # 1 green dye -> 6 gold nugget                  X
                # 1 brown dye -> 6 gold nugget                  X
                # 1 white dye -> 4 gold nugget                  X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:4, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:yellow_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1,tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_leggings,Count:1,tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1,tag:{display:{color:16351261}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_chestplate,Count:1,tag:{display:{color:16351261}}},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5}]}}
            #   MASTERS
                #if leatherworker is expert and from desert, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 yellow dye -> 4 gold nugget                 X
                # 4 gold nugget -> 2 lead
                # 1 red dye -> 6 gold nugget                    X
                # 1 blue dye -> 4 gold nugget                   X        
                # 1 light blue dye -> 4 gold nugget             X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 green leather tunic       X       -- ,tag:{display:{color:6192150}
                # 12 gold nugget -> 1 green leather legging     X
                # 8 gold nugget -> 1 orange leather helmet      X       -- ,tag:{display:{color:16351261}}
                # 14 gold nugget -> 1 orange leather tunic      X
                # 1 green dye -> 6 gold nugget                  X
                # 1 brown dye -> 6 gold nugget                  X
                # 1 white dye -> 4 gold nugget                  X
                # 8 rotten flesh + 2 gold nugget -> 4 leather
                # 8 gold nugget -> 1 brown boots                X       -- ,tag:{display:{color:10844781}}
                # 12 gold nugget -> 1 white legging             X
                # 1 rabit hide -> 6 gold nugget
                # 1 rabit foot -> 12 gold nugget
                # 1 leather horse armor -> 18 gold nugget  
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:5, type:"minecraft:desert"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:yellow_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1,tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_leggings,Count:1,tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1,tag:{display:{color:16351261}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_chestplate,Count:1,tag:{display:{color:16351261}}},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:rotten_flesh,Count:8},BuyB:{id:gold_nugget, Count:2},sell:{id:leather,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1,tag:{display:{color:10844781}}},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_leggings,Count:1,tag:{display:{color:13081484}}},maxUses:5},{buy:{id:rabbit_hide,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rabbit_foot,Count:1},sell:{id:gold_nugget,Count:12},maxUses:5},{buy:{id:gold_nugget,Count:18},sell:{id:leather_horse_armor,Count:1},maxUses:5}]}}
        #   SNOWY
            #   APPRENTICES
                #if leatherworker is apprentice and from snowy, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 blue dye -> 6 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 white dye -> 4 gold nugget            X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:2, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   JOURNEYMEN
                #if leatherworker is journeyman and from snow, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget            X
                # 4 gold nugget -> 2 lead
                # 1 blue dye -> 6 gold nugget             X    
                # 1 light blue dye -> 4 gold nugget       X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:3, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5}]}}
            #   EXPERTS
                #if leatherworker is expert and from snow, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget                  X
                # 4 gold nugget -> 2 lead
                # 1 blue dye -> 6 gold nugget                   X   
                # 1 light blue dye -> 4 gold nugget             X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 Lblue leather tunic       X       -- ,tag:{display:{color:3847130}
                # 12 gold nugget -> 1 Lblue leather legging     X
                # 8 gold nugget -> 1 white leather helmet      X       -- ,tag:{display:{color:16383998}}
                # 14 gold nugget -> 1 white leather tunic      X
                # 1 brown dye -> 6 gold nugget                  X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:4, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:3847130}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:3847130}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   MASTERS
                #if leatherworker is expert and from snow, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget                  X
                # 4 gold nugget -> 2 lead
                # 1 blue dye -> 6 gold nugget                   X   
                # 1 light blue dye -> 4 gold nugget             X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 Lblue leather tunic       X       -- ,tag:{display:{color:3847130}
                # 12 gold nugget -> 1 Lblue leather legging     X
                # 8 gold nugget -> 1 white leather helmet      X       -- ,tag:{display:{color:16383998}}
                # 14 gold nugget -> 1 white leather tunic      X
                # 1 brown dye -> 6 gold nugget                  X                  X
                # 8 rotten flesh + 2 gold nugget -> 4 leather
                # 8 gold nugget -> 1 brown boots                X       -- ,tag:{display:{color:10844781}}
                # 12 gold nugget -> 1 white legging             X
                # 1 rabit hide -> 6 gold nugget
                # 1 rabit foot -> 12 gold nugget
                # 1 leather horse armor -> 18 gold nugget  
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:5, type:"minecraft:snow"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:3847130}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:3847130}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rotten_flesh,Count:8},BuyB:{id:gold_nugget, Count:2},sell:{id:leather,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1,tag:{display:{color:10844781}}},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_leggings,Count:1,tag:{display:{color:13081484}}},maxUses:5},{buy:{id:rabbit_hide,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rabbit_foot,Count:1},sell:{id:gold_nugget,Count:12},maxUses:5},{buy:{id:gold_nugget,Count:18},sell:{id:leather_horse_armor,Count:1},maxUses:5}]}}
        #   SAVANNAH
            #   APPRENTICES
                #if leatherworker is apprentice and from savannah, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 green dye -> 6 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 red dye -> 4 gold nugget            X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:2, type:"minecraft:savannah"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   JOURNEYMEN
                #if leatherworker is journeyman and from savannah, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 red dye -> 4 gold nugget            X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget             X    
                # 1 white dye -> 4 gold nugget       X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:3, type:"minecraft:savannah"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5}]}}
            #   EXPERTS
                #if leatherworker is expert and from savannah, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 red dye -> 4 gold nugget                    X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget                  X    
                # 1 white dye -> 4 gold nugget                  X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 red leather tunic         X       -- ,tag:{display:{color:11546150}
                # 12 gold nugget -> 1 white leather legging     X       -- ,tag:{display:{color:13081484}
                # 8 gold nugget -> 1 green leather helmet       X       -- ,tag:{display:{color:6192150}}
                # 14 gold nugget -> 1 white leather tunic        X
                # 1 brown dye -> 6 gold nugget                  X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:4, type:"minecraft:savannah"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:11546150}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:13081484}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   MASTERS
                #if leatherworker is expert and from savannah, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 red dye -> 4 gold nugget                    X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget                  X    
                # 1 white dye -> 4 gold nugget                  X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 red leather tunic         X       -- ,tag:{display:{color:11546150}
                # 12 gold nugget -> 1 white leather legging     X       -- ,tag:{display:{color:13081484}
                # 8 gold nugget -> 1 green leather helmet       X       -- ,tag:{display:{color:6192150}}
                # 14 gold nugget -> 1 white leather tunic        X
                # 1 brown dye -> 6 gold nugget                  X                  X
                # 8 rotten flesh + 2 gold nugget -> 4 leather
                # 8 gold nugget -> 1 brown boots                X       -- ,tag:{display:{color:10844781}}
                # 1 rabit hide -> 6 gold nugget
                # 1 rabit foot -> 12 gold nugget
                # 1 leather horse armor -> 18 gold nugget  
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:5, type:"minecraft:savannah"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:3847130}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:3847130}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rotten_flesh,Count:8},BuyB:{id:gold_nugget, Count:2},sell:{id:leather,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1,tag:{display:{color:10844781}}},maxUses:5},{buy:{id:rabbit_hide,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rabbit_foot,Count:1},sell:{id:gold_nugget,Count:12},maxUses:5},{buy:{id:gold_nugget,Count:18},sell:{id:leather_horse_armor,Count:1},maxUses:5}]}}
        #   SWAMP
            #   APPRENTICES
                #if leatherworker is apprentice and from swamp, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 green dye -> 6 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 red dye -> 4 gold nugget            X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:2, type:"minecraft:swamp"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   JOURNEYMEN
                #if leatherworker is journeyman and from swamp, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 red dye -> 4 gold nugget            X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget             X    
                # 1 black dye -> 4 gold nugget       X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:3, type:"minecraft:swamp"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5}]}}
            #   EXPERTS
                #if leatherworker is expert and from swamp, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 red dye -> 4 gold nugget                    X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget                  X    
                # 1 black dye -> 4 gold nugget                  X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 1 blue dye -> 6 gold nugget                   X
                # 1 light blue dye -> 4 gold nugget             X
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 purple leather tunic         X       -- ,tag:{display:{color:8991416}}
                # 12 gold nugget -> 1 green leather legging     X       -- ,tag:{display:{color:6192150}}
                # 8 gold nugget -> 1 green leather helmet       X       -- ,tag:{display:{color:6192150}}
                # 8 gold nugget -> 1 black boots                 X      -- ,tag:{display:{color:1908001}}
                # 1 purple dye -> 6 gold nugget                  X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:4, type:"minecraft:swamp"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:8991416}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:purple_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   MASTERS
                #if leatherworker is expert and from swamp, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 red dye -> 4 gold nugget                    X
                # 4 gold nugget -> 2 lead
                # 1 green dye -> 6 gold nugget                  X    
                # 1 black dye -> 4 gold nugget                  X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 1 blue dye -> 6 gold nugget                   X
                # 1 light blue dye -> 4 gold nugget             X
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 purple leather tunic         X       -- ,tag:{display:{color:8991416}}
                # 12 gold nugget -> 1 green leather legging     X       -- ,tag:{display:{color:6192150}}
                # 8 gold nugget -> 1 green leather helmet       X       -- ,tag:{display:{color:6192150}}
                # 8 gold nugget -> 1 black boots                 X      -- ,tag:{display:{color:1908001}}
                # 1 purple dye -> 6 gold nugget                  X                X                  X
                # 8 rotten flesh + 2 gold nugget -> 4 leather
                # 1 rabit hide -> 6 gold nugget
                # 1 rabit foot -> 12 gold nugget
                # 1 leather horse armor -> 18 gold nugget  
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:5, type:"minecraft:swamp"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:green_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:light_blue_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:8991416}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:6192150}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:purple_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rotten_flesh,Count:8},BuyB:{id:gold_nugget, Count:2},sell:{id:leather,Count:4},maxUses:5},{buy:{id:rabbit_hide,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rabbit_foot,Count:1},sell:{id:gold_nugget,Count:12},maxUses:5},{buy:{id:gold_nugget,Count:18},sell:{id:leather_horse_armor,Count:1},maxUses:5}]}}
        #   TAIGA
            #   APPRENTICES
                #if leatherworker is apprentice and from taiga, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 brown dye -> 6 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 white dye -> 4 gold nugget            X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:2, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   JOURNEYMEN
                #if leatherworker is journeyman and from taiga, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget            X
                # 4 gold nugget -> 2 lead
                # 1 brown dye -> 6 gold nugget             X    
                # 1 black dye -> 4 gold nugget       X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:3, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5}]}}
            #   EXPERTS
                #if leatherworker is expert and from taiga, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget                    X
                # 4 gold nugget -> 2 lead
                # 1 brown dye -> 6 gold nugget                  X    
                # 1 black dye -> 4 gold nugget                  X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 1 blue dye -> 6 gold nugget                   X
                # 1 red dye -> 4 gold nugget             X
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 white leather tunic        X       -- ,tag:{display:{color:16383998}}
                # 12 gold nugget -> 1 black leather legging      X       -- ,tag:{display:{color:1908001}}
                # 8 gold nugget -> 1 brown leather helmet        X       -- ,tag:{display:{color:10844781}}
                # 8 gold nugget -> 1 black boots                 X      -- ,tag:{display:{color:1908001}}
                # 1 light blue dye -> 4 gold nugget              X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:4, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:10844781}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:purple_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   MASTERS
                #if leatherworker is expert and from taiga, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget                    X
                # 4 gold nugget -> 2 lead
                # 1 brown dye -> 6 gold nugget                  X    
                # 1 black dye -> 4 gold nugget                  X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 1 blue dye -> 6 gold nugget                   X
                # 1 red dye -> 4 gold nugget             X
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 white leather tunic        X       -- ,tag:{display:{color:16383998}}
                # 12 gold nugget -> 1 black leather legging      X       -- ,tag:{display:{color:1908001}}
                # 8 gold nugget -> 1 brown leather helmet        X       -- ,tag:{display:{color:10844781}}
                # 8 gold nugget -> 1 black boots                 X      -- ,tag:{display:{color:1908001}}
                # 1 light blue dye -> 4 gold nugget              X
                # 8 rotten flesh + 2 gold nugget -> 4 leather
                # 1 rabit hide -> 6 gold nugget
                # 1 rabit foot -> 12 gold nugget
                # 1 leather horse armor -> 18 gold nugget  
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:5, type:"minecraft:taiga"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:10844781}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:purple_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rotten_flesh,Count:8},BuyB:{id:gold_nugget, Count:2},sell:{id:leather,Count:4},maxUses:5},{buy:{id:rabbit_hide,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rabbit_foot,Count:1},sell:{id:gold_nugget,Count:12},maxUses:5},{buy:{id:gold_nugget,Count:18},sell:{id:leather_horse_armor,Count:1},maxUses:5}]}}
        #   PLAINS
            #   APPRENTICES
                #if leatherworker is apprentice and from plains, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 brown dye -> 6 gold nugget           X
                # 4 gold nugget -> 2 lead
                # 1 white dye -> 4 gold nugget            X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:2, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   JOURNEYMEN
                #if leatherworker is journeyman and from plains, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget            X
                # 4 gold nugget -> 2 lead
                # 1 brown dye -> 6 gold nugget             X    
                # 1 black dye -> 4 gold nugget       X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:3, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5}]}}
            #   EXPERTS
                #if leatherworker is expert and from plains, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget                    X
                # 4 gold nugget -> 2 lead
                # 1 brown dye -> 6 gold nugget                  X    
                # 1 black dye -> 4 gold nugget                  X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 1 blue dye -> 6 gold nugget                   X
                # 1 red dye -> 4 gold nugget             X
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 white leather tunic        X       -- ,tag:{display:{color:16383998}}
                # 12 gold nugget -> 1 black leather legging      X       -- ,tag:{display:{color:1908001}}
                # 8 gold nugget -> 1 brown leather helmet        X       -- ,tag:{display:{color:10844781}}
                # 8 gold nugget -> 1 black boots                 X      -- ,tag:{display:{color:1908001}}
                # 1 light blue dye -> 4 gold nugget              X
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:4, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:10844781}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:purple_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5}]}}
            #   MASTERS
                #if leatherworker is expert and from plains, adds persistence + trade, max. 5:
                # 1 leather -> 4 gold nugget
                # 4 bones -> 8 gold nugget
                # 8 string -> 4 gold nugget
                # 6 gold nugget -> 1 item frame
                # 4 honeycomb -> 6 gold nugget
                # 4 sticks -> 2 gold nugget
                # 6 gold nugget -> leather helmet
                # 6 gold nugget -> leather boots
                # 1 white dye -> 4 gold nugget                    X
                # 4 gold nugget -> 2 lead
                # 1 brown dye -> 6 gold nugget                  X    
                # 1 black dye -> 4 gold nugget                  X
                # 12 gold nugget -> 1 saddle
                # 12 gold nugget -> 1 leather tunic
                # 1 bucket -> 16 gold nugget
                # 1 blue dye -> 6 gold nugget                   X
                # 1 red dye -> 4 gold nugget             X
                # 10 gold nugget -> 1 leather legging
                # 14 gold nugget -> 1 white leather tunic        X       -- ,tag:{display:{color:16383998}}
                # 12 gold nugget -> 1 black leather legging      X       -- ,tag:{display:{color:1908001}}
                # 8 gold nugget -> 1 brown leather helmet        X       -- ,tag:{display:{color:10844781}}
                # 8 gold nugget -> 1 black boots                 X      -- ,tag:{display:{color:1908001}}
                # 1 light blue dye -> 4 gold nugget              X
                # 8 rotten flesh + 2 gold nugget -> 4 leather
                # 1 rabit hide -> 6 gold nugget
                # 1 rabit foot -> 12 gold nugget
                # 1 leather horse armor -> 18 gold nugget  
                execute as @e[type=villager,nbt={VillagerData:{profession:"minecraft:leatherworker", level:5, type:"minecraft:plains"}},tag=!smithed.strict] run data merge entity @s {PersistenceRequired:1,Offers:{Recipes:[{buy:{id:leather,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:bone,Count:4},sell:{id:gold_nugget,Count:8},maxUses:5},{buy:{id:string,Count:8},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:item_frame,Count:1},maxUses:5},{buy:{id:honeycomb,Count:4},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:stick,Count:4},sell:{id:gold_nugget,Count:2},maxUses:5},{buy:{id:gold_nugget,Count:6},sell:{id:leather_helmet,Count:1},maxUses:5},{buy:{id:white_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:4},sell:{id:lead,Count:2},maxUses:5},{buy:{id:brown_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:black_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:saddle,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:12},sell:{id:leather_chestplate,Count:1},maxUses:5},{buy:{id:bucket,Count:1},sell:{id:gold_nugget,Count:16},maxUses:5},{buy:{id:blue_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:red_dye,Count:1},sell:{id:gold_nugget,Count:4},maxUses:5},{buy:{id:gold_nugget,Count:10},sell:{id:leather_leggings,Count:1},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_chestplate,Count:1, tag:{display:{color:16383998}}},maxUses:5},{buy:{id:gold_nugget,Count:14},sell:{id:leather_leggings,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_helmet,Count:1, tag:{display:{color:10844781}}},maxUses:5},{buy:{id:gold_nugget,Count:8},sell:{id:leather_boots,Count:1, tag:{display:{color:1908001}}},maxUses:5},{buy:{id:purple_dye,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rotten_flesh,Count:8},BuyB:{id:gold_nugget, Count:2},sell:{id:leather,Count:4},maxUses:5},{buy:{id:rabbit_hide,Count:1},sell:{id:gold_nugget,Count:6},maxUses:5},{buy:{id:rabbit_foot,Count:1},sell:{id:gold_nugget,Count:12},maxUses:5},{buy:{id:gold_nugget,Count:18},sell:{id:leather_horse_armor,Count:1},maxUses:5}]}}